a4000019.JPG=Spice Man on the watch
a4000010.JPG=A cave made from a French wine crate ($2)
a4000016.JPG=Storage battery, solar circuit and first fan
a4000018.JPG=Water nozzles. Note composite flooring too.
a4000011.JPG=Carla in upstairs haven
a4000009.JPG=Coroplast makes upstairs easy to clean out
a4000012.JPG=More girls upstairs
a4000004.JPG=Kinjaroo goes for the cuddle cup
a4000008.JPG=Mr. Stacey ramp surfing
a4000015.JPG=On/off switch, Solar powered fan and remote temperature sensor
a4000007.JPG=Upstairs and downstairs with ramps showing.
a4000006.JPG=The upstairs Condos with ramps. The piggies sleep here.
a4000013.JPG=Curly Q demonstrates upstairs high life
a4000017.JPG=Watering system bucket
